Module javafx.graphics
Package javafx.print

# Enum PageOrientation

java.lang.Object
java.lang.Enum<PageOrientation>
javafx.print.PageOrientation

All Implemented Interfaces:
  `Serializable`, `Comparable<PageOrientation>`, `Constable`

    public enum PageOrientation
    extends Enum<PageOrientation>

Specifies the orientation of the media sheet for printed pages.

Since:
  JavaFX 8.0

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `LANDSCAPE` | The printable area's origin is at the bottom left of the paper.
  `PORTRAIT` | The printable area's origin is at the top left of the paper.
  `REVERSE_LANDSCAPE` | The printable area's origin is at the top right of the paper.
  `REVERSE_PORTRAIT` | The printable area's origin is at the bottom right of the paper.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static PageOrientation` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static PageOrientation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PORTRAIT

    public static final PageOrientation PORTRAIT
    The printable area's origin is at the top left of the paper. X coordinates will increase across the short edge of the paper. Y coordinates will increase along the long edge of the paper.

  - ### LANDSCAPE

    public static final PageOrientation LANDSCAPE
    The printable area's origin is at the bottom left of the paper. X coordinates will increase along the long edge of the paper. Y coordinates will increase along the short edge of the paper.

  - ### REVERSE_PORTRAIT

    public static final PageOrientation REVERSE_PORTRAIT
    The printable area's origin is at the bottom right of the paper. X coordinates will increase across the short edge of the paper. Y coordinates will increase along the long edge of the paper. i.e. rotated 180 degrees from `PORTRAIT`.

  - ### REVERSE_LANDSCAPE

    public static final PageOrientation REVERSE_LANDSCAPE
    The printable area's origin is at the top right of the paper. X coordinates will increase along the long edge of the paper. Y coordinates will increase along the short edge of the paper. i.e. rotated 180 degrees from `LANDSCAPE`.

- ## Method Details

  - ### values

    public static PageOrientation[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PageOrientation valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null